import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:paypal_sdk_flutter/paypal_sdk_flutter.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _paymentStatus = 'Unknown';

  Future<void> doPayment({double amount, String description}) async {
    String result;
    try {
      PaypalSdkFlutter sdk = PaypalSdkFlutter(
        environment: Environment.sandbox,
        merchantName: "ecommerce",
        clientId: "AQlOU6BX5Nm7G95hWzp5du2OEJlb7p3-2HM9qQH49p_uw1-fw6P96B9dmBZZSz9bg4d6ko-hVfet6zvE",
      );
      var result = await sdk.payWithPayPal(amount: amount, description: description);
      print(result);
    } on PlatformException {
      result = 'Failed to get payPal result.';
    }

    if (!mounted) return;

    setState(() {
      _paymentStatus = result;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('PayPal Plugin example app'),
        ),
        body: Center(
          child: Text('Result: $_paymentStatus\n'),
        ),
        floatingActionButton: FloatingActionButton(
          onPressed: () async {
            doPayment(amount: 10.0, description: "Apple");
          },
          child: Icon(Icons.payment),
        ),
      ),
    );
  }
}
